<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa" dir="rtl">
	<head>
		<?php wp_head(); ?>
		<title><?php bloginfo("name"); ?><?php wp_title(" - "); ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" type="text/css" href="<?php bloginfo("template_directory"); ?>/css/bootstrap.css" >
		<link rel="stylesheet" type="text/css" href="<?php bloginfo("template_directory"); ?>/style.css" >
		<link rel="stylesheet" type="text/css" href="<?php bloginfo("template_directory"); ?>/resize.css">
		<script src="<?php bloginfo("template_directory"); ?>/js/jquery.min.js"></script>
		<script src="<?php bloginfo("template_directory"); ?>/js/page.js"></script>
		<script src="<?php bloginfo("template_directory"); ?>/js/player.js"></script>
		<?php if ( is_single() ) { ?>
		<script src="<?php bloginfo("template_directory"); ?>/js/comment-reply.js"></script>
		<?php } ?>
		<script>
		var slider = <?php if ( !is_single() && get_option("checkslider") == 1 ) { echo "'active'"; } else { echo "'deactive'"; } ?>;
		</script>
		<?php if ( !is_single() && get_option("checkslider") == 1 ) { ?>
		<link rel="stylesheet" type="text/css" href="<?php bloginfo("template_directory"); ?>/css/owl.carousel.min.css">
		<script src="<?php bloginfo("template_directory"); ?>/js/owl.carousel.min.js"></script>
		<?php } ?>
		<script>ajax_url = '<?=admin_url('admin-ajax.php');?>'</script>
		<?php 
			if(is_home()) {
				echo '<meta name="keywords" content="'.get_option("websitetags").'">';
			}
		?>
		<?php if ( get_option("favicon") ) { ?>
		<link rel="icon" href="<?php echo get_option("favicon"); ?>" sizes="16x16">
		<?php } ?>
		<meta name="theme-color" content="#f6c358" />
		<?php global $paged; if ( !is_single() && $paged>1 ) { ?>
		<meta name="robots" content="noindex, follow">
		<?php } else { ?>
		<meta name="robots" content="index, follow">
		<?php } ?>
	</head>
	<body>
		<?php if ( isMobile() ) { ?>
		<div class="response_head">
			<div class="reponsesearch">
				<form method="get" action="<?php bloginfo("url"); ?>">
					<label for="s"></label>
					<input type="text" name="s" id="s" placeholder="جستجو در سایت ...">
					<input type="submit" value="">
					<div class="close" id="close_search"></div>
				</form>
			</div>
			<div class="imgs">
				<div class="img sc"></div>
				<a href="<?php bloginfo("url"); ?>" title="<?php echo get_option("websitename"); ?>" rel="home" class="logo">
					<?php if ( get_option("logo") ) { ?>
					<img src="<?php echo get_option("logo"); ?>" alt="<?php echo get_option("websitename"); ?>">
					<?php } else { ?>
						<img src="<?php bloginfo("template_directory"); ?>/images/logo.png" alt="<?php echo get_option("websitename"); ?>">
					<?php } ?>
				</a>
				<div class="img nv"></div>
			</div>
		</div>
		<div id="sidenav" class="sidenav">
			<div class="layer"></div>
			<div class="scroll">
				<div class="head">
					<div class="cls_side" id="close_side"></div>
					<div class="logo">
					<?php if ( get_option("logo") ) { ?>
					<img src="<?php echo get_option("logo"); ?>" alt="<?php echo get_option("websitename"); ?>">
					<?php } else { ?>
						<img src="<?php bloginfo("template_directory"); ?>/images/logo.png" alt="<?php echo get_option("websitename"); ?>">
					<?php } ?>
					</div>
				</div>	
				<div class="links">
					<ul>
						<?php wp_nav_menu( array( 'items_wrap' => '%3$s' , 'container' => '' ,'theme_location' => 'headermenu') ); ?>
					</ul>
				</div>
			</div>
		</div>
		<?php } else { ?>
		<header class="topheader">
			<div class="container flex">
				<div class="menu">
					<nav>
						<ul>
						<?php wp_nav_menu( array( 'items_wrap' => '%3$s' , 'container' => '' ,'theme_location' => 'headermenu') ); ?>
						</ul>
					</nav>
				</div>
				<a href="<?php bloginfo("url"); ?>" title="<?php echo get_option("websitename"); ?>" rel="home" class="logo">
				<?php if ( get_option("logo") ) { ?>
				<img src="<?php echo get_option("logo"); ?>" alt="<?php echo get_option("websitename"); ?>">
				<?php } else { ?>
					<img src="<?php bloginfo("template_directory"); ?>/images/logo.png" alt="<?php echo get_option("websitename"); ?>">
				<?php } ?>
				</a>
				<div class="search_dlapp">
					<form method="get" action="<?php bloginfo("url"); ?>">
						<input type="text" name="s" id="s" placeholder="جستجو در سایت ...">
						<button></button>
					</form>
				</div>
			</div>
		</header>
		<?php } ?>
		<div class="law">
			<div class="container flex">
				<div class="ir">
					<?php 
						$title = '';
						if ( is_home() ) {
							$title = get_bloginfo("title");
						} 
						else if ( is_category() ) {
							$title = single_cat_title( '', false );
						} 
						elseif ( is_tag() ) {
							$title = single_tag_title( '', false );
						}
						elseif ( is_post_type_archive() ) {
							$title = post_type_archive_title( '', false );
						} 
						elseif ( is_tax() ) {
							$title = single_term_title( '', false );
						}	
						elseif ( is_singular('artists') ) {
							$title = get_post_meta(get_the_ID(),get_option("custom_artist"),true );
						}	
						if ( (is_single() && get_post_type() != "post") || !is_single() ) {
							echo '<h1>'.$title.'</h1>';
						} 
					?>
					<span>
					<?php
						 if ( get_option("websitedescription") ) { 
						 echo get_option("websitedescription"); 
						 }
						 else {
					 ?>
					این سایت در ستاد ساماندهی ثبت شده و تابع قوانین جمهوری اسلامی میباشد. 
					<?php } ?>
					</span>
				</div>
				<?php if ( get_option("tel") || get_option("ins") ) { ?>
				<div class="social">
					<span><?php echo get_option("websitename"); ?> را دنبال کنید</span>
					<div class="icons">
					<?php if ( get_option("ins") ) { ?>
					<a class="icon instagram" href="<?php echo get_option("ins"); ?>" title="Instagram Page" rel="nofollow" target="_blank"></a>
					<?php } if ( get_option("tel") ) { ?>
					<a class="icon telegram" href="<?php echo get_option("tel"); ?>" title="Telegram Channel" rel="nofollow" target="_blank"></a>
					<?php } ?>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>