<?php 
function codein_load_widget() {
    register_widget( 'latest_widget' );
    register_widget( 'soon_widget' );
    register_widget( 'top_widget' );
    register_widget( 'artists_widget' );
}
add_action( 'widgets_init', 'codein_load_widget' );
// Latest
class latest_widget extends WP_Widget {
function __construct() {
parent::__construct(
'latest_widget', 
__('✅ نمایش ارسالی ها', 'melotheme_widget'), 
array( 'description' => __( 'ابزارک قالب ملوتم', 'melotheme_widget' ) ) 
);
} 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$title = $instance[ 'title' ];
	}
	else {
		$title = 'آخرین ارسالی ها';
	}
	if ( isset( $instance[ 'cats' ] ) ) {
		$cats = $instance[ 'cats' ];
	}
	if ( isset( $instance[ 'count' ] ) ) {
		$count = $instance[ 'count' ];
	}
	if ( isset( $instance[ 'mobile' ] ) ) {
		$mobile = $instance[ 'mobile' ];
	}
	if ( isset( $instance[ 'imgs' ] ) ) {
		$imgs = $instance[ 'imgs' ];
	}
	if ( isset( $instance[ 'random' ] ) ) {
		$random = $instance[ 'random' ];
	}

?>
<style>
.help {
display: block;padding: 7px; background: #fff7df; border: 1px solid #f9dd8a; color: #826100;margin-top: 5px;	
}
</style>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'count' ); ?>">تعداد :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo esc_attr( $count ); ?>" />
</p>
<script>
$(function(){

	$('#<?php echo $this->get_field_id( 'cats' ); ?>').fSelect();

});
</script>
<p>
	<?php
$cats = explode(",",$instance['cats']);
	?>
<label for="<?php echo $this->get_field_id( 'cats' ); ?>">دسته بندی ها :</label> 
<select class="test" multiple="multiple" id="<?php echo $this->get_field_id( 'cats' ); ?>" name="<?php echo $this->get_field_name( 'cats' ); ?>[]" type="text">
	<?php 
	
	$categories = get_categories();
		foreach($categories as $category) {
			echo '<option value="'.$category->term_id.'"'.( in_array($category->term_id,$cats) ? " selected" : "").'>'.$category->name.'</option>';
		 }
	?>
</select>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'mobile' ); ?>">عدم نمایش در موبایل :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'mobile' ); ?>" name="<?php echo $this->get_field_name( 'mobile' ); ?>" type="checkbox" value="1" <?php echo ($mobile == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت موبایل می توانید این بخش را غیر فعال کنید</small>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'imgs' ); ?>">عدم نمایش تصاویر :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'imgs' ); ?>" name="<?php echo $this->get_field_name( 'imgs' ); ?>" type="checkbox" value="1" <?php echo ($imgs == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت سایت می توانید این بخش را غیر فعال کنید</small>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'random' ); ?>">نمایش اتفاقی :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'random' ); ?>" name="<?php echo $this->get_field_name( 'random' ); ?>" type="checkbox" value="1" <?php echo ($random == 1 ? "checked":"" ); ?> >
<small class="help">نمایش اتفاقی مطالب در هر بار بروزرسانی صفحه</small>
</p>
<?php 
} 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
?>
<ul>
<?php 
	$order = '';
	if ( $instance['random'] == 1 ) {
		$order = 'rand';
	}
	else {
		$order = 'DESC';
	}
	
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$argss = array(
			'showposts'=>$instance['count'],
			'cat'=>$instance['cats'],
			'orderby'=>$order
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
			include 'sidebar_elements.php';
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
<?php
echo $args['after_widget'];
}
	public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	$instance['cats'] = ( ! empty( $new_instance['cats'] ) ) ? implode("," ,$new_instance['cats'] ) : '';
	$instance['count'] = ( ! empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '';
	$instance['mobile'] = ( ! empty( $new_instance['mobile'] ) ) ? strip_tags( $new_instance['mobile'] ) : '';
	$instance['imgs'] = ( ! empty( $new_instance['imgs'] ) ) ? strip_tags( $new_instance['imgs'] ) : '';
	$instance['random'] = ( ! empty( $new_instance['random'] ) ) ? strip_tags( $new_instance['random'] ) : '';
	return $instance;
	}
} 
// Soon
class soon_widget extends WP_Widget {
function __construct() {
parent::__construct(
'soon_widget', 
__('✅ پست های بزودی', 'melotheme_widget'), 
array( 'description' => __( 'ابزارک قالب ملوتم', 'melotheme_widget' ) ) 
);
} 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$title = $instance[ 'title' ];
	}
	else {
		$title = 'بزودی';
	}
	if ( isset( $instance[ 'count' ] ) ) {
		$count = $instance[ 'count' ];
	}
	if ( isset( $instance[ 'mobile' ] ) ) {
		$mobile = $instance[ 'mobile' ];
	}
	if ( isset( $instance[ 'imgs' ] ) ) {
		$imgs = $instance[ 'imgs' ];
	}

?>
<style>
.help {
display: block;padding: 7px; background: #fff7df; border: 1px solid #f9dd8a; color: #826100;margin-top: 5px;	
}
</style>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'count' ); ?>">تعداد :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo esc_attr( $count ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'mobile' ); ?>">عدم نمایش در موبایل :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'mobile' ); ?>" name="<?php echo $this->get_field_name( 'mobile' ); ?>" type="checkbox" value="1" <?php echo ($mobile == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت موبایل می توانید این بخش را غیر فعال کنید</small>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'imgs' ); ?>">عدم نمایش تصاویر :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'imgs' ); ?>" name="<?php echo $this->get_field_name( 'imgs' ); ?>" type="checkbox" value="1" <?php echo ($imgs == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت سایت می توانید این بخش را غیر فعال کنید</small>
</p>
<?php 
} 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
?>
<ul>
<?php 
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$argss = array(
			'showposts'=>$instance['count'],
			'meta_key'=>'checksoon',
			'meta_value'=>1
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
			include 'sidebar_elements.php';
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
<?php
echo $args['after_widget'];
}
	public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	$instance['count'] = ( ! empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '';
	$instance['mobile'] = ( ! empty( $new_instance['mobile'] ) ) ? strip_tags( $new_instance['mobile'] ) : '';
	$instance['imgs'] = ( ! empty( $new_instance['imgs'] ) ) ? strip_tags( $new_instance['imgs'] ) : '';
	return $instance;
	}
} 
// Top
class top_widget extends WP_Widget {
function __construct() {
parent::__construct(
'top_widget', 
__('✅ برترین ارسالی ها', 'melotheme_widget'), 
array( 'description' => __( 'ابزارک قالب ملوتم', 'melotheme_widget' ) ) 
);
} 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$title = $instance[ 'title' ];
	}
	else {
		$title = 'برترین ارسالی ها';
	}
	if ( isset( $instance[ 'cats' ] ) ) {
		$cats = $instance[ 'cats' ];
	}
	if ( isset( $instance[ 'count' ] ) ) {
		$count = $instance[ 'count' ];
	}
	if ( isset( $instance[ 'mobile' ] ) ) {
		$mobile = $instance[ 'mobile' ];
	}
	if ( isset( $instance[ 'imgs' ] ) ) {
		$imgs = $instance[ 'imgs' ];
	}

?>
<style>
.help {
display: block;padding: 7px; background: #fff7df; border: 1px solid #f9dd8a; color: #826100;margin-top: 5px;	
}
</style>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'count' ); ?>">تعداد :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo esc_attr( $count ); ?>" />
</p>
<script>
$(function(){

	$('#<?php echo $this->get_field_id( 'cats' ); ?>').fSelect();

});
</script>
<p>
	<?php
$cats = explode(",",$instance['cats']);
	?>
<label for="<?php echo $this->get_field_id( 'cats' ); ?>">دسته بندی ها :</label> 
<select class="test" multiple="multiple" id="<?php echo $this->get_field_id( 'cats' ); ?>" name="<?php echo $this->get_field_name( 'cats' ); ?>[]" type="text">
	<?php 
	
	$categories = get_categories();
		foreach($categories as $category) {
			echo '<option value="'.$category->term_id.'"'.( in_array($category->term_id,$cats) ? " selected" : "").'>'.$category->name.'</option>';
		 }
	?>
</select>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'mobile' ); ?>">عدم نمایش در موبایل :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'mobile' ); ?>" name="<?php echo $this->get_field_name( 'mobile' ); ?>" type="checkbox" value="1" <?php echo ($mobile == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت موبایل می توانید این بخش را غیر فعال کنید</small>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'imgs' ); ?>">عدم نمایش تصاویر :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'imgs' ); ?>" name="<?php echo $this->get_field_name( 'imgs' ); ?>" type="checkbox" value="1" <?php echo ($imgs == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت سایت می توانید این بخش را غیر فعال کنید</small>
</p>
<?php 
} 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
?>
<div class="tab">
<div class="tabs">
	<a class="nav-link active" data-toggle="tab" href="#week" rel="nofollow">هفته</a>
	<a class="nav-link" data-toggle="tab" href="#month" rel="nofollow">ماه</a>
	<a class="nav-link" data-toggle="tab" href="#year" rel="nofollow">سال</a>
</div>
<div class="tab-content">
<ul class="tab-pane active" id="week">
<?php 
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$i = 1;
		$argss = array(
			'showposts'=>$instance['count'],
			'cat'=>$instance['cats'],
			'meta_key'  => 'views',
			'orderby' => 'meta_value_num',
			'order' => 'DESC',
			'post_status' => 'publish',
			'date_query' => array(
				array(
					'column' => 'post_date_gmt',
					'after' => '1 week ago',
				),
			),
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
		?>
		<li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><span class="number"><?=$i;?></span> <?php the_title(); ?> <span class="view"><?php the_views(); ?> </span></a></li>
		<?php
		$i+=1;
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
<ul class="tab-pane" id="month">
<?php 
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$i = 1;
		$argss = array(
			'showposts'=>$instance['count'],
			'cat'=>$instance['cats'],
			'meta_key'  => 'views',
			'orderby' => 'meta_value_num',
			'order' => 'DESC',
			'post_status' => 'publish',
			'date_query' => array(
				array(
					'column' => 'post_date_gmt',
					'after' => '1 month ago',
				),
			),
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
		?>
		<li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><span class="number"><?=$i;?></span> <?php the_title(); ?> <span class="view"><?php the_views(); ?></span></a></li>
		<?php
		$i+=1;
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
<ul class="tab-pane" id="year">
<?php 
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$i = 1;
		$argss = array(
			'showposts'=>$instance['count'],
			'cat'=>$instance['cats'],
			'meta_key'  => 'views',
			'orderby' => 'meta_value_num',
			'order' => 'DESC',
			'post_status' => 'publish',
			'date_query' => array(
				array(
					'column' => 'post_date_gmt',
					'after' => '1 year ago',
				),
			),
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
		?>
		<li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><span class="number"><?=$i;?></span> <?php the_title(); ?> <span class="view"><?php the_views(); ?> </span></a></li>
		<?php
		$i+=1;
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
</div>
</div>
<?php
echo $args['after_widget'];
}
	public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	$instance['cats'] = ( ! empty( $new_instance['cats'] ) ) ? implode("," ,$new_instance['cats'] ) : '';
	$instance['count'] = ( ! empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '';
	$instance['mobile'] = ( ! empty( $new_instance['mobile'] ) ) ? strip_tags( $new_instance['mobile'] ) : '';
	$instance['imgs'] = ( ! empty( $new_instance['imgs'] ) ) ? strip_tags( $new_instance['imgs'] ) : '';
	return $instance;
	}
} 
// Artists
class artists_widget extends WP_Widget {
function __construct() {
parent::__construct(
'artists_widget', 
__('✅ هنرمندان', 'melotheme_widget'), 
array( 'description' => __( 'ابزارک قالب ملوتم', 'melotheme_widget' ) ) 
);
} 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$title = $instance[ 'title' ];
	}
	else {
		$title = 'هنرمندان';
	}
	if ( isset( $instance[ 'count' ] ) ) {
		$count = $instance[ 'count' ];
	}
	if ( isset( $instance[ 'mobile' ] ) ) {
		$mobile = $instance[ 'mobile' ];
	}
	if ( isset( $instance[ 'imgs' ] ) ) {
		$imgs = $instance[ 'imgs' ];
	}

?>
<style>
.help {
display: block;padding: 7px; background: #fff7df; border: 1px solid #f9dd8a; color: #826100;margin-top: 5px;	
}
</style>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'count' ); ?>">تعداد :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo esc_attr( $count ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'mobile' ); ?>">عدم نمایش در موبایل :</label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'mobile' ); ?>" name="<?php echo $this->get_field_name( 'mobile' ); ?>" type="checkbox" value="1" <?php echo ($mobile == 1 ? "checked":"" ); ?> >
<small class="help">برای افزایش سرعت موبایل می توانید این بخش را غیر فعال کنید</small>
</p>
<?php 
} 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
?>
<ul class="artists">
<?php 
	if ( isMobile() && $instance['mobile'] == 1 ) {
		return;
	}	
	else {
		global $post;
		$argss = array(
			'post_type'=>'artists',
		);
		query_posts($argss);
		if(have_posts()) :
		while(have_posts()) : the_post();
?>
		<li>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
				<?php echo get_post_meta($post->ID,get_option("custom_artist"),true); ?>
			</a>
		</li>
<?php
		endwhile;
		endif;
		wp_reset_query();
	}
?>
</ul>
<?php
echo $args['after_widget'];
}
	public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	$instance['count'] = ( ! empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '';
	$instance['mobile'] = ( ! empty( $new_instance['mobile'] ) ) ? strip_tags( $new_instance['mobile'] ) : '';
	return $instance;
	}
} 
?>